You are here

T-701: Citrix Access Gateway Enterprise Edition Input Validation Flaw in Logon Portal Permits Cross-Site Scripting Attacks

August 25, 2011 - 3:33pm

Addthis

PROBLEM:

A vulnerability was reported in Citrix Access Gateway Enterprise Edition. A remote user can conduct cross-site scripting attacks.

PLATFORM:

Citrix Access Gateway Enterprise Edition 9.2-49.8 and prior. Citrix Access Gateway Enterprise Edition version 9.3 is not affected by this vulnerability.

ABSTRACT:

Citrix Access Gateway Enterprise Edition Input Validation Flaw in Logon Portal Permits Cross-Site Scripting Attacks.

reference LINKS:

SecurityTracker Alert ID: 1025973
Citrix Document ID: CTX129971
Citrix Downloads
Citrix Technical Support

IMPACT ASSESSMENT:

Medium

Discussion:

A vulnerability was reported in Citrix Access Gateway Enterprise Edition. A remote user can conduct cross-site scripting attacks. The logon portal does not properly filter HTML code from user-supplied input before displaying the input. A remote user can cause arbitrary scripting code to be executed by the target user's browser. The code will originate from the site running the Citrix Access Gateway software and will run in the security context of that site. As a result, the code will be able to access the target user's cookies (including authentication cookies), if any, associated with the site, access data recently submitted by the target user via web form to the site, or take actions on the site acting as the target user.

Impact:

A remote user can access the target user's cookies (including authentication cookies), if any, associated with the site running the Citrix Access Gateway software, access data recently submitted by the target user via web form to the site, or take actions on the site acting as the target user.

Solution:

The vendor has issued a fix (9.2-50.4).

 

Addthis